

class LoginError(Exception):
    def __init__(self, error_msg):
        super().__init__(error_msg)


class BadRequest(Exception):
    def __init__(self, error_msg):
        super().__init__(error_msg)


class ServerError(Exception):
    def __init__(self, error_msg):
        super().__init__(error_msg)


class CommandTimeoutError(Exception):
    def __init__(self):
        super().__init__('Timeout. The server took too long to respond to a command.')
